Bug 263844 - devel/brz: add symlink to bzr
Summary: devel/brz: add symlink to bzr
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-05-07 15:35 UTC by Sean Farley
Modified: 2022-05-19 11:11 UTC (History)
2 users (show)

See Also:
fullermd: maintainer-feedback+


Attachments
Symlink between brz and bzr for compatibility (762 bytes, patch)
2022-05-07 15:35 UTC, Sean Farley
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sean Farley freebsd_committer 2022-05-07 15:35:17 UTC
Created attachment 233793 [details]
Symlink between brz and bzr for compatibility

Some tools know of bzr (Bazaar) yet not of brz (Breezy).  Since brz is based off bzr and retains a lot of the CLI interface, a symlink to brz can be useful at times.  Here is a patch to the port to make a symlink for backwards compatibility.

I typically do not use brz but have run across this need from time to time.  I also noticed that the Arch Linux package also makes this symlink.

If this is an issue, this could be placed behind a option.
Comment 1 Fernando Apesteguía freebsd_committer 2022-05-10 06:49:47 UTC
^Triage: reporter is committer, assign accordingly.
Comment 2 Fernando Apesteguía freebsd_committer 2022-05-15 12:03:54 UTC
Resetting assignee. Submitter is an alumni.
Comment 3 fullermd 2022-05-18 02:00:49 UTC
Sounds reasonable to me.  I believe the Debian package does similarly (at least, I heard once it did; 30 seconds of google gives a mixed message about the current state...).  bzr's been gone long enough that I doubt there's much point trying to conditionalize or get too smart about it.

I have vague memories of a more declarative way of adding symlinks, but a little poking around ports/Mk and the handbook don't turn up anything.
Comment 4 commit-hook freebsd_committer 2022-05-19 11:07:01 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=62161d64e2462b649c8ae9b4884211b2db17c54a

commit 62161d64e2462b649c8ae9b4884211b2db17c54a
Author:     Sean Farley <scf@FreeBSD.org>
AuthorDate: 2022-05-18 07:55:33 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2022-05-19 11:02:31 +0000

    devel/brz: add symlink to bzr

    PR:     263844
    Reported by:    scf@FreeBSD.org (alumni)
    Approved by:    fullermd@over-yonder.net (maintainer)

 devel/brz/Makefile | 3 +++
 1 file changed, 3 insertions(+)
Comment 5 Fernando Apesteguía freebsd_committer 2022-05-19 11:11:27 UTC
Committed,

Thanks!